using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Input;

[ComImport]
[InterfaceType(2)]
[SuppressUnmanagedCodeSecurity]
[Guid("7E3E2EE8-1E06-4CFD-87D9-E4AEAB4CFE31")]
[TypeLibType(4096)]
public interface IWinMsgHookEvents
{
	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(1)]
	void Message([MarshalAs(UnmanagedType.Interface)] WinMsgHook Hook, [MarshalAs(UnmanagedType.Interface)] WndMsg Message);
}
